Timeout errors


If I get timeout errors like the following, does this indicate an error with my script? I'm editing one of the example scripts to use a different dataset (efas-historical).


Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
(...)
File "/usr/lib/python3.6/socket.py", line 586, in readinto return self._sock.recv_into(b) socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
(…)
urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host=‘192.168.0.8’, port=8080): Read timed out. (read timeout=3.0)


etc.


I struggle with error messages like this as it gives me little pointers on what to do next.


Many thanks!

Rutger


Hi Rutger,

could you please add your script?

Thanks

Michela

Dear Rutger,

From my experience these kind of "Read time out" messages come from the system being down and might just need to be tried again.

As Michela mentioned if you can share your script it would be helpful so I can test it too.

Again I have never used EFAS data and there is a chance that because it has not been on the CDS for long and / or because it has not been used with the Toolbox much it might still have some glitches when retrieving the data.

Regards.

Vivien

Hi both


Thanks - I cannot share the script so easily as I have since modified it significantly, trying out different things and running into different problems (see my other question). I will see if I can recreate the problem, but if it is indeed due to system glitches I may not be able to reproduce the error message myself. But at least it's useful to know it could be due to the system.


Many thanks

Rutger